# Class TOpenSessionResp

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TOpenSessionResp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TOpenSessionResp>`, `org.apache.thrift.TBase<TOpenSessionResp,TOpenSessionResp._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TOpenSessionResp extends Object implements org.apache.thrift.TBase<TOpenSessionResp,TOpenSessionResp._Fields>, Serializable, Cloneable, Comparable<TOpenSessionResp>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TOpenSessionResp._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canUseMultipleCatalogs`
`Map<String,String>`
`configuration`
`List<TGetInfoValue>`
`getInfos`
`TNamespace`
`initialNamespace`
`static final Map<TOpenSessionResp._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`TProtocolVersion`
`serverProtocolVersion`
`TSessionHandle`
`sessionHandle`
`TStatus`
`status`

## Constructor Summary

Constructors
Constructor
Description
`TOpenSessionResp()`
`TOpenSessionResp(TOpenSessionResp other)`
Performs a deep copy on other.
`TOpenSessionResp(TStatus status, TProtocolVersion serverProtocolVersion)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToGetInfos(TGetInfoValue elem)`
`void`
`clear()`
`int`
`compareTo(TOpenSessionResp other)`
`TOpenSessionResp`
`deepCopy()`
`boolean`
`equals(TOpenSessionResp that)`
`boolean`
`equals(Object that)`
`TOpenSessionResp._Fields`
`fieldForId(int fieldId)`
`Map<String,String>`
`getConfiguration()`
`int`
`getConfigurationSize()`
`Object`
`getFieldValue(TOpenSessionResp._Fields field)`
`List<TGetInfoValue>`
`getGetInfos()`
`Iterator<TGetInfoValue>`
`getGetInfosIterator()`
`int`
`getGetInfosSize()`
`TNamespace`
`getInitialNamespace()`
`TProtocolVersion`
`getServerProtocolVersion()`
`TSessionHandle`
`getSessionHandle()`
`TStatus`
`getStatus()`
`int`
`hashCode()`
`boolean`
`isCanUseMultipleCatalogs()`
`boolean`
`isSet(TOpenSessionResp._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetCanUseMultipleCatalogs()`
Returns true if field canUseMultipleCatalogs is set (has been assigned a value) and false otherwise
`boolean`
`isSetConfiguration()`
Returns true if field configuration is set (has been assigned a value) and false otherwise
`boolean`
`isSetGetInfos()`
Returns true if field getInfos is set (has been assigned a value) and false otherwise
`boolean`
`isSetInitialNamespace()`
Returns true if field initialNamespace is set (has been assigned a value) and false otherwise
`boolean`
`isSetServerProtocolVersion()`
Returns true if field serverProtocolVersion is set (has been assigned a value) and false otherwise
`boolean`
`isSetSessionHandle()`
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise
`boolean`
`isSetStatus()`
Returns true if field status is set (has been assigned a value) and false otherwise
`void`
`putToConfiguration(String key, String val)`
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TOpenSessionResp`
`setCanUseMultipleCatalogs(boolean canUseMultipleCatalogs)`
`void`
`setCanUseMultipleCatalogsIsSet(boolean value)`
`TOpenSessionResp`
`setConfiguration(Map<String,String> configuration)`
`void`
`setConfigurationIsSet(boolean value)`
`void`
`setFieldValue(TOpenSessionResp._Fields field, Object value)`
`TOpenSessionResp`
`setGetInfos(List<TGetInfoValue> getInfos)`
`void`
`setGetInfosIsSet(boolean value)`
`TOpenSessionResp`
`setInitialNamespace(TNamespace initialNamespace)`
`void`
`setInitialNamespaceIsSet(boolean value)`
`TOpenSessionResp`
`setServerProtocolVersion(TProtocolVersion serverProtocolVersion)`
`void`
`setServerProtocolVersionIsSet(boolean value)`
`TOpenSessionResp`
`setSessionHandle(TSessionHandle sessionHandle)`
`void`
`setSessionHandleIsSet(boolean value)`
`TOpenSessionResp`
`setStatus(TStatus status)`
`void`
`setStatusIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetCanUseMultipleCatalogs()`
`void`
`unsetConfiguration()`
`void`
`unsetGetInfos()`
`void`
`unsetInitialNamespace()`
`void`
`unsetServerProtocolVersion()`
`void`
`unsetSessionHandle()`
`void`
`unsetStatus()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### status

public TStatus status

### serverProtocolVersion

public TProtocolVersion serverProtocolVersion

See Also:
  - `TProtocolVersion`

### sessionHandle

public TSessionHandle sessionHandle

### configuration

public Map<String,String> configuration

### initialNamespace

public TNamespace initialNamespace

### canUseMultipleCatalogs

public boolean canUseMultipleCatalogs

### getInfos

public List<TGetInfoValue> getInfos

### metaDataMap

public static final Map<TOpenSessionResp._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TOpenSessionResp

public TOpenSessionResp()

### TOpenSessionResp

public TOpenSessionResp(TStatus status, TProtocolVersion serverProtocolVersion)

### TOpenSessionResp

public TOpenSessionResp(TOpenSessionResp other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TOpenSessionResp deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TOpenSessionResp,TOpenSessionResp._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TOpenSessionResp,TOpenSessionResp._Fields>`

### getStatus

public TStatus getStatus()

### setStatus

public TOpenSessionResp setStatus(TStatus status)

### unsetStatus

public void unsetStatus()

### isSetStatus

public boolean isSetStatus()
Returns true if field status is set (has been assigned a value) and false otherwise

### setStatusIsSet

public void setStatusIsSet(boolean value)

### getServerProtocolVersion

public TProtocolVersion getServerProtocolVersion()

See Also:
  - `TProtocolVersion`

### setServerProtocolVersion

public TOpenSessionResp setServerProtocolVersion(TProtocolVersion serverProtocolVersion)

See Also:
  - `TProtocolVersion`

### unsetServerProtocolVersion

public void unsetServerProtocolVersion()

### isSetServerProtocolVersion

public boolean isSetServerProtocolVersion()
Returns true if field serverProtocolVersion is set (has been assigned a value) and false otherwise

### setServerProtocolVersionIsSet

public void setServerProtocolVersionIsSet(boolean value)

### getSessionHandle

public TSessionHandle getSessionHandle()

### setSessionHandle

public TOpenSessionResp setSessionHandle(TSessionHandle sessionHandle)

### unsetSessionHandle

public void unsetSessionHandle()

### isSetSessionHandle

public boolean isSetSessionHandle()
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise

### setSessionHandleIsSet

public void setSessionHandleIsSet(boolean value)

### getConfigurationSize

public int getConfigurationSize()

### putToConfiguration

public void putToConfiguration(String key, String val)

### getConfiguration

public Map<String,String> getConfiguration()

### setConfiguration

public TOpenSessionResp setConfiguration(Map<String,String> configuration)

### unsetConfiguration

public void unsetConfiguration()

### isSetConfiguration

public boolean isSetConfiguration()
Returns true if field configuration is set (has been assigned a value) and false otherwise

### setConfigurationIsSet

public void setConfigurationIsSet(boolean value)

### getInitialNamespace

public TNamespace getInitialNamespace()

### setInitialNamespace

public TOpenSessionResp setInitialNamespace(TNamespace initialNamespace)

### unsetInitialNamespace

public void unsetInitialNamespace()

### isSetInitialNamespace

public boolean isSetInitialNamespace()
Returns true if field initialNamespace is set (has been assigned a value) and false otherwise

### setInitialNamespaceIsSet

public void setInitialNamespaceIsSet(boolean value)

### isCanUseMultipleCatalogs

public boolean isCanUseMultipleCatalogs()

### setCanUseMultipleCatalogs

public TOpenSessionResp setCanUseMultipleCatalogs(boolean canUseMultipleCatalogs)

### unsetCanUseMultipleCatalogs

public void unsetCanUseMultipleCatalogs()

### isSetCanUseMultipleCatalogs

public boolean isSetCanUseMultipleCatalogs()
Returns true if field canUseMultipleCatalogs is set (has been assigned a value) and false otherwise

### setCanUseMultipleCatalogsIsSet

public void setCanUseMultipleCatalogsIsSet(boolean value)

### getGetInfosSize

public int getGetInfosSize()

### getGetInfosIterator

public Iterator<TGetInfoValue> getGetInfosIterator()

### addToGetInfos

public void addToGetInfos(TGetInfoValue elem)

### getGetInfos

public List<TGetInfoValue> getGetInfos()

### setGetInfos

public TOpenSessionResp setGetInfos(List<TGetInfoValue> getInfos)

### unsetGetInfos

public void unsetGetInfos()

### isSetGetInfos

public boolean isSetGetInfos()
Returns true if field getInfos is set (has been assigned a value) and false otherwise

### setGetInfosIsSet

public void setGetInfosIsSet(boolean value)

### setFieldValue

public void setFieldValue(TOpenSessionResp._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TOpenSessionResp,TOpenSessionResp._Fields>`

### getFieldValue

public Object getFieldValue(TOpenSessionResp._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TOpenSessionResp,TOpenSessionResp._Fields>`

### isSet

public boolean isSet(TOpenSessionResp._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TOpenSessionResp,TOpenSessionResp._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TOpenSessionResp that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TOpenSessionResp other)

Specified by:
  `compareTo` in interface `Comparable<TOpenSessionResp>`

### fieldForId

public TOpenSessionResp._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TOpenSessionResp,TOpenSessionResp._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`